### Method

# Gtk TreeDragSource drag_data_get

deprecated: 4.10

#### Declaration [src]

    GdkContentProvider*
    gtk_tree_drag_source_drag_data_get (
      GtkTreeDragSource* drag_source,
      GtkTreePath* path
    )

#### Description [src]

Asks the `GtkTreeDragSource` to return a `GdkContentProvider` representing the row at `path`. Should robustly handle a `path` no longer found in the model!

Deprecated since: 4.10

Use list models instead.

#### Parameters

`path`

  Type: `GtkTreePath`

  Row that was dragged.

  The data is owned by the caller of the method.

#### Return value

Type: `GdkContentProvider`

A `GdkContentProvider` for the given `path`.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.